question

Upvotes
Accepted
1 0 0 0

Refinitiv ATS

The current version of ATS is 1.7.0 and its springboot version is 2.7.

As springboot 2.7 is going to end of support, is it possible for us to upgrade springboot to v3.1 on our own?


Will there be any possible impact to the ATS?

#productATS
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

· Write an Answer
Upvotes
Accepted
80.1k 257 52 75

@weishengtay

Thank you for reaching out to us.

I checked the ATS 1.7.0.L2 release notes and found that:

Spring boot is upgraded to 2.7.6 in ATS 1.7.0.L2 to resolve the vulnerability issue. 
Note: Updation of spring boot in turn upgraded the Spring security to 5.7.5 version. 

I am not sure if it will be compatible with Spring boot 3.1.

Please contact the Refinitiv Real-Time Advanced Transformation Server support team directly via MyRefinitv to confirm this.


icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Write an Answer

Hint: Notify or tag a user in this post by typing @username.

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.